package com.ruoyi.project.intact.his.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.intact.his.domain.TIntactHiGj;
import com.ruoyi.project.intact.his.domain.TIntactHiPump;


/**
 * 设备完整性-管件台账变更历史记录Mapper接口
 * 
 * @author ruoyi
 * @date 2022-06-29
 */
public interface TIntactHiGjMapper 
{
    /**
     * 查询设备完整性-管件台账变更历史记录
     * 
     * @param id 设备完整性-管件台账变更历史记录ID
     * @return 设备完整性-管件台账变更历史记录
     */
    public TIntactHiGj selectTIntactHiGjById(Long id);

    /**
     * 查询设备完整性-管件台账变更历史记录列表
     * 
     * @param tIntactHiGj 设备完整性-管件台账变更历史记录
     * @return 设备完整性-管件台账变更历史记录集合
     */
    @DataScope(deptAlias = "d")
    public List<TIntactHiGj> selectTIntactHiGjList(TIntactHiGj tIntactHiGj);


    //查询改造记录
    public List<TIntactHiGj> selectTIntactHiGjByReform(Long devId);

    /**
     * 新增设备完整性-管件台账变更历史记录
     * 
     * @param tIntactHiGj 设备完整性-管件台账变更历史记录
     * @return 结果
     */
    public int insertTIntactHiGj(TIntactHiGj tIntactHiGj);

    /**
     * 修改设备完整性-管件台账变更历史记录
     * 
     * @param tIntactHiGj 设备完整性-管件台账变更历史记录
     * @return 结果
     */
    public int updateTIntactHiGj(TIntactHiGj tIntactHiGj);

    /**
     * 删除设备完整性-管件台账变更历史记录
     * 
     * @param id 设备完整性-管件台账变更历史记录ID
     * @return 结果
     */
    public int deleteTIntactHiGjById(Long id);

    /**
     * 批量删除设备完整性-管件台账变更历史记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTIntactHiGjByIds(Long[] ids);

    //设备id删除
    public int deleteTIntactHiGjByDevId(Long devId);
}
